Skip to main content
Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/ZWatch Operations/Alarm Operations
GETAlarm OperationsSince 4.1.0SynchronousAuth Required

QueryAlarmRecord

QueryAlarmRecord

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • histogramsListRequired

    No description provided.

Endpoint

GET/zstack/v1/zwatch/alarm-records

/zstack/v1/zwatch/alarm-records

Operation ID

QueryAlarmRecord

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/zwatch/alarm-records' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "id": 1.0, "createTime": 1.510669257141E12, "accountUuid": "ce8e0ae7bfb93fb09c3339443fb79b5a", "alarmName": "ZStack Primary Storage Physical Available Capacity Alarm", "alarmStatus": "Alarm", "alarmUuid": "701f9528318737bb9db81c4f9b5721a7", "comparisonOperator": "LessThan", "context": "{\"PrimaryStorageType\":\"LocalStorage\"}", "dataUuid": "2e6afdb668443ef9a9a82fcba794d21b", "emergencyLevel": "Emergent", "metricName": "AvailablePhysicalCapacityInPercent", "metricValue": 20.0, "namespace": "ZStack/PrimaryStorage", "period": 600.0, "readStatus": false, "resourceUuid": "8a596bd1689c3e83a408c2713d99fc6e", "threshold": 21.0 } ] }

Change History

This API has no change history records yet.

View all change history